const express = require('express');
const router = express.Router();
const { getAllEventPlaces, createEventPlace, updateEventPlace, deleteEventPlace } = require('../controllers/eventPlaceController.js');
const authMiddleware = require('../middleware/authMiddleware')

router.get('/', getAllEventPlaces);
router.post('/', authMiddleware, createEventPlace);
router.put('/:id', authMiddleware, updateEventPlace);
router.delete('/:id', authMiddleware, deleteEventPlace);

module.exports = router;
